Skip to main content
GET
Get an attribute

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

attribute_name_or_id
required

Either an attribute name or an attribute id Unique identifier

Query Parameters

resolve
boolean

When true (the default), $ref type references are resolved and the referenced attribute's type definition is returned in their place. When false, the raw $ref node is returned as stored.

Response

OK

An attribute response that includes metadata. Can be either owned or shared based on the requesting company.

id
integer
required

Unique identifier for the attribute.

display_name
string
required

A public-facing descriptive name for the attribute.

name
string
required

An short identifier for the attribute to be used when it is referenced in validations.

Attribute names must consist of only alphanumeric characters or underscores and be < 255 characters long.

tags
string[]
required

List of tags associated with the attribute

type
enum<string>
required

An array with elements of any data type.

Available options:
array
items
object
required
company_id
integer
required

The ID of the company that owns this attribute

collaborators
object
required

Defines which companies have access to view and map this attribute

description
string

A description of the type of data the attribute represents, including collection methodology, assumptions, etc.

validations
string[]

A raw Spark SQL expression determining whether a value for the given column is valid or not.

If more than one validation is specified then all the validation must evaluate to true for the column value to be considered valid.

If validations is not specified or empty then all rows will match the access rule.

E.g. for an attribute with the following definition:

Valid validations include:

  • Is the ID type lowercased?
  • Was the row collected within the last 90 days?
metadata
object

Some metadata about the attribute being returned